=== docs/requirements.txt ===
-r ../dev-requirements-py3.txt
sphinx==1.3.6
sphinx-issues==0.3.0
